Bug 109549 - Button for marked files/folder in task list
Button for marked files/folder in task list
Status: REOPENED
Product: platform
Classification: Unclassified
Component: Action Items
6.x
PC Windows XP
: P3 with 2 votes (vote)
: 6.x
Assigned To: Jan Peska
tasklist-issues@contrib
request_for_contribution
:
: 200629 (view as bug list)
Depends on:
Blocks: 109154
  Show dependency treegraph
 
Reported: 2007-07-12 19:02 UTC by ulfzibis
Modified: 2012-06-15 13:49 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Possible tasks selection in Eclipse 3.7.2 (77.83 KB, image/png)
2012-06-15 08:38 UTC, hupfdule
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ulfzibis 2007-07-12 19:02:34 UTC
for marked files/folder in the browser

Please add button for marked files/folders (in the project browser) in task list window.
The user should mark a set of files/folders in the project browser as source for the docscan by the task list plugin.

It's not enough to have choice between single file and whole project.

At minimum support "package choice"... see Issue 109548
Comment 1 Stanislav Aubrecht 2007-07-20 16:31:24 UTC
pls see contrib/tasklist/scanningscopes
Comment 2 ulfzibis 2007-07-20 16:52:25 UTC
I can't find contrib/tasklist/scanningscopes in http://www.netbeans.org/download/sitemaps/www_map.html

Comment 3 Stanislav Aubrecht 2007-07-20 17:05:33 UTC
never mind, i've just committed a fresh module into cvs a few minutes ago. i'll make it available as a plugin on update
center later on.
Comment 5 Stanislav Aubrecht 2008-10-14 11:46:48 UTC
i believe that the extra plugin (see above) takes care of this
Comment 6 ulfzibis 2008-10-14 13:31:03 UTC
Link http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?pluginid=3210 does not work directly. :-(

> i believe that the extra plugin (see above) takes care of this.
It allows more interesting scopes. Fine!
... but the one I asked here, is missing.
See my comment there.
Comment 7 Stanislav Aubrecht 2008-10-14 13:34:43 UTC
it is tracked here i think: http://www.netbeans.org/issues/show_bug.cgi?id=109548
Comment 8 ulfzibis 2008-10-14 13:45:58 UTC
Issue 109548 is fulfilled by the extra plugin, but *this* issue not.
... so I reopen it.
Comment 9 Jan Peska 2011-09-12 06:48:40 UTC
*** Bug 200629 has been marked as a duplicate of this bug. ***
Comment 10 hupfdule 2011-11-25 14:18:09 UTC
What about this bug?

I filed the Issue #200629 where JPESKA@netbeans.org agreed and declared it as -> TM:next, Issue type: Enhancement

After that it was marked as a duplicate of this issue. But there is no mention into whether the problem will be resolved. Netbeans 7.1 beta has no changes in regards of this bug. So what is the status now? Is it still planned to include this enhancement? For which release is it planned?
Comment 11 ulfzibis 2011-11-25 14:43:54 UTC
(In reply to comment #10)
> So what is the status now?
Only 1 vote :-(
So *you* could double it.
Comment 12 Jan Peska 2011-11-28 14:08:14 UTC
As I found out, this functionality is already implemented.

Choose main project scope and if no main project is set, tasks of chosen project are displayed.

You can see the original issue in here http://netbeans.org/bugzilla/show_bug.cgi?id=139873

I'm setting this issue as duplicate. But you are free to reopen it, if you think there are still some gaps

*** This bug has been marked as a duplicate of bug 139873 ***
Comment 13 hupfdule 2011-11-28 14:56:53 UTC
Actually the solution to use "main project scope" without any main project seems more like a workaround to me than a real solution.

Anyway, it is not what I requested. What I want is a more fine-granular scope. Only the selected _subtree_ should be searched. So, if one project is selected it should search in the whole selected project (which is the same as in Issue #139873). 

However, if only the "Source Packages" subtree of a project is selected, the scope should be only these source packages (not the test packages (in a maven project), not any files outside of the source folder and not the source packages of different projects).

Also, if I only select a specific package in the "Source Packages", the scope should be only this package + its subpackages. For example, if I select the package "org.netbeans", the scope should include "org.netbeans", "org.netbeans.ide", etc. but not "org.custom".

I hope I made it clear what I mean. Actually it is quite simple:
The scope should always be the selected element in the "Projects" tab, recursively.

This would even allow to search in 2 projects (out of, for example, 5 opened projects) or two totally different packages. Or even a single package (with subpackages, of course) + another whole project.

In my opinion this would even make the existing scopes (currently edited file, main project, all opened projects) obsolete, since all these can be controlled by the selection in the "Projects" tab:
 "currently edited file": Select only the file in the projects view
 "main project": Select the main project in the projects view
 "all opened projects": Select all projects in the projects view

(Still, it could be handy to have some option like "Currently edited file")

The only thing I see is missing then is a way to set the scope as non-recursive. However, I do not know whether this would really be useful.

I hope this rather lengthy text makes clear, what I (and obviously ulfzibis) request. Please tell me if not, I will try again then. :-) It seems that our previous requests were mostly misunderstood.
Comment 14 ulfzibis 2011-11-28 15:23:46 UTC
(In reply to comment #13)
> I hope this rather lengthy text makes clear, what I (and obviously ulfzibis)
> request. Please tell me if not, I will try again then. :-) It seems that our
> previous requests were mostly misunderstood.
+1
(it seems this is a special german request ;-) )
Comment 15 ulfzibis 2011-11-28 15:30:11 UTC
Instead of referring to marked nodes in the projects/files/favorites tab, there could open a treeview with checkboxes on each node to select.
(I'm not sure, if it's possible to mark nodes from different projects simultaneously)
Comment 16 Jan Peska 2011-11-29 13:38:08 UTC
> Actually the solution to use "main project scope" without any main project
> seems more like a workaround to me than a real solution.

I agree, it is at least not intuitive enough.

> I hope I made it clear what I mean. Actually it is quite simple:
> The scope should always be the selected element in the "Projects" tab,
> recursively.

Yes, it is clear now, I missed this part of the enhancement.

> In my opinion this would even make the existing scopes (currently edited file,
> main project, all opened projects) obsolete, since all these can be controlled
> by the selection in the "Projects" tab:
>  "currently edited file": Select only the file in the projects view
>  "main project": Select the main project in the projects view
>  "all opened projects": Select all projects in the projects view

"Selected element" scope would be very useful, no doubt about that, but I'm not sure that removing existing scopes is wise. Some users could use tasks in more "static" way so it is not desirable for them to change content of tasks for every "project/element" selection change.

The easiest solution is to add new scope button with described functionality and preserve all existing scopes. I'll will try to find out something smarter, more elegant. Please do the same, ideas from both of you are welcomed.
Comment 17 hupfdule 2012-06-15 08:38:01 UTC
Created attachment 120883 [details]
Possible tasks selection in Eclipse 3.7.2
Comment 18 hupfdule 2012-06-15 08:48:17 UTC
(in reply to comment #16)
> I'll will try to find out something smarter,
> more elegant. Please do the same, ideas from both of you are welcomed.

It seems that Eclipse is doing it the way we requested. I attached a screenshot showing the possible scopes in Eclipse. The interesting ones are "On selected element only" and "On selected element and its children".

Since Eclipse is doing it that way it can't be totally wrong. ;-)
Since Netbeans doesn't know about the concept of working sets I assume these scopes are the best for Netbeans:

* Show tasks for currently edited file only
* Show tasks for the main project
* Show tasks for all opened projects
* Show tasks for selected subtree
* Show tasks for the whole project of the currently edited file

The first three are just the same that currently exist in Netbeans.
The fourth one is the one requested by ulfzibis and me.
The last one resembles the "On any element in the same project" scope in Eclipse. Although we didn't request it, it seems a quite useful scope to me.

If ulfzibis and you agree with me, I hope that this issue can be resolved in the next netbeans release. :-)
Comment 19 ulfzibis 2012-06-15 13:49:10 UTC
(In reply to comment #18)
> * Show tasks for currently edited file only
> * Show tasks for the main project
> * Show tasks for all opened projects
> * Show tasks for selected subtree
> * Show tasks for the whole project of the currently edited file

+1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo